surface.CreateFont("FamilySystem_Title", {font = "Roboto Th", size = 30, weight = 1000, antialias = true})

local PANEL = {}
function PANEL:Init()
	self:SetPos(200, 28)
	self:SetSize(500, 380)
end

function PANEL:Paint()
	draw.RoundedBox(0, 0, 0, self:GetWide(), self:GetTall(), Color(226, 226, 226))
end

function PANEL:Title(text)
	self.Title = vgui.Create("DLabel", self)
	self.Title:SetText(text)
	self.Title:SetFont("FamilySystem_Title")
	self.Title:SetPos(8, 2)
	self.Title:SizeToContents()
	self.Title:SetColor(Color(52, 73, 94))
end
derma.DefineControl("DCustomPanel", "Custom Panel", PANEL, "DPanel")